#
# spec file for package apparmor-docs (Version 2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           apparmor-docs
%if ! %{?distro:1}0 
    %define distro unknown
%endif
Summary:        AppArmor Documentation package
Version:        2.0
Release:        17.4
Group:          Documentation/Other
Source0:        %{name}-%{version}-48.tar.gz
Patch0:         %{name}-48_61_m_PU.patch
License:        Other uncritical OpenSource License, Other License(s), see package
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://forge.novell.com/modules/xfmod/project/?apparmor
Group:          Documentation/Other
BuildArch:	noarch
Obsoletes:      subdomain-docs
Provides:       subdomain-docs

%description
This package contains documentation for AppArmor.

This package is part of a suite of tools that used to be named
SubDomain.



Authors:
--------
    lcambell@novell.com

%debug_package
%prep
%setup -q
%patch0

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make all
	

%install
# build directories
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install_manpages DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

%files 
%defattr(-,root,root)
# the documentation
%{_mandir}/man2/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/*
# html versions of the manpages
%doc *.[0-9].*html
%doc immunix.css

%changelog -n apparmor-docs
* Thu Jun 01 2006 - srarnold@suse.de
- Bug 175388 - Profile access allows essentially execute permission when
  only read access is granted via usage of mmap system call.
- Bug 172061 - LD_PRELOAD can be exploited to change the execution path
  across exec transitionS
* Thu May 04 2006 - srarnold@suse.de
- 'l' no longer required for unlink access
- remove obsolete reference to program-chunks/apache-default-uri
- remove obsolete licenses
- remove network mediation comments
- remove obsolete symlink reference
- improve abstractions documentation
- Bug 165170 - apparmor.d(5): missing documentation
- change old-style hat documentation to new-style hat syntax
- add descriptions of variables
* Mon Mar 06 2006 - dreynolds@suse.de
- Removed PDF manual. Moved to standalone rpm managed by the doc group.
* Mon Feb 06 2006 - sbeattie@suse.de
- Add manpage for mod_apparmor
- Update change_hat(2) manpage for renamed header/library
- Update other documents to reflect subdomain->apparmor
- Rename manpages, add compatibility symlinks
- Add svn repo number to tarball name
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 09 2005 - sbeattie@suse.de
- dreynolds: Added admin manual from documentation group, fix rpm URL
* Thu Dec 08 2005 - sbeattie@suse.de
- Rename package to apparmor-docs
- Relicense package to an open source license
- Update version to 2.0-1.
